RDKit::MolPicklerException Class Reference

used to indicate exceptions whilst pickling (serializing) molecules More...

`#include <MolPickler.h>`

Inheritance diagram for RDKit::MolPicklerException:

## Public Member Functions

| MolPicklerException (const char *msg)
| MolPicklerException (const std::string msg)
const char * | message () const
| ~MolPicklerException () throw ()

## Detailed Description

used to indicate exceptions whilst pickling (serializing) molecules

Definition at line 34 of file MolPickler.h.

## Constructor & Destructor Documentation

## MolPicklerException() [1/2]

RDKit::MolPicklerException::MolPicklerException | ( | const char * | msg | ) |

inline

Definition at line 36 of file MolPickler.h.

## MolPicklerException() [2/2]

RDKit::MolPicklerException::MolPicklerException | ( | const std::string | msg | ) |

inline

Definition at line 37 of file MolPickler.h.

## ~MolPicklerException()

RDKit::MolPicklerException::~MolPicklerException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 39 of file MolPickler.h.

## Member Function Documentation

## message()

const char* RDKit::MolPicklerException::message | ( |  | ) | const

inline

Definition at line 38 of file MolPickler.h.

The documentation for this class was generated from the following file:

- MolPickler.h